#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	libintl-perl
Version		:	1.31
Release		:	17.2.0.rel%{?dist}
Summary		:	XS Implementation of Uniforum Message Translation

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/distribution/libintl-perl

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
The module Locale::gettext_xs is the low-level interface to
message translation according to the Uniforum approach that
is for example used in GNU gettext and Sun's Solaris.

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	PERL_USE_UNSAFE_INC=1					\
	install

pushd %{buildroot}%{_libdir}/perl5/%{perlvers}/
find . -name *.so -exec chmod u+w,+x {} \;
popd

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%license COPYING
%doc NEWS README 
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Locale/gettext_xs/*
%{_datadir}/perl5/core_perl/Locale/Recode/*.pm
%{_datadir}/perl5/core_perl/Locale/RecodeData/*.pm
%{_datadir}/perl5/core_perl/Locale/*.{pm,pod}
%{_mandir}/man3/Locale::*.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
